Subject: Re: [patch] possible memory leak in diff.c::diff_free_filepair()

From: Yasushi SHOJI <[email-masked]>
Date: Sun, 14 Aug 2005 06:09:01 +0900

At Sat, 13 Aug 2005 12:30:59 -0700,
Junio C Hamano wrote:
> 
> Yasushi SHOJI <[email-masked]> writes:
> 
> > When I run git-diff-tree on big change, it seems the command eats so
> > much memory.  so I just put git under valgrind to see what's going on.
> >
> > diff_free_filespec_data() doesn't free diff_filespec itself.  is this
> > because in merge_broken() filespec itself is used but fliespec data
> > need to be freed?
> 
> Thanks for the patch.  I am wondering if the same leak exists in
> diff_free_filepair(), which frees the filespec data without
> freeing filespec itself for both sides.  If this is something
> you can trap easily with valgrind I would really appreciate it.

oops.  probably my english wasn't clear. my patch fixes
diff_free_filepair().

the reason I asked about merge_broken() was that those two functions
are the only functions calling diff_free_filespec_data(). it's first
time reading git source code and still learning ;)
--
          yashi